﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3012B: (1 year) VER IEEE /5522A+SC600
DATE:                  2017-03-08 15:28:45
AUTHOR:                Fluke
REVISION:              $Revision: 18582 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       172
CONFIGURATION:         Fluke 5522A
CONFIGURATION:         Fluke Ocal (600MHz)
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Source(s):
#        TDS3000B Series Digital Phosphor Oscilloscopes
#        Service Manual, 071-0972-04
#
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Additional Equipment Required:
#        Tektronix Communication Module
#        - TDS3GM or TDS3GV
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5522A        Reset
  1.003  O_CAL        Mode = LeveledSine
  1.003  O_CAL        +Frequency = 600 MHz; Voltage = 1 Vpp
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.006  ASK+           K

  1.007  IF           NOT(VERSIONCHECK("7.3.38"))
  1.008  END
  1.009  ENDIF

  1.010  CALL         Sub Display Copyright
  1.011  CALL         Sub High Voltage Safety Warning
  1.012  CALL         Sub Select Failed Test Mode
  1.013  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.014  HEAD         PRELIMINARY INSTRUCTIONS
  1.015  TARGET
  1.016  DISP         Ensure a minimum UUT warm-up time of at least
  1.016  DISP         20 minutes has been allowed to elapse, prior
  1.016  DISP         to beginning verification.

  1.017  CALL         Sub Tek TDS3000/3000B IEEE-488 Interface
  1.018  JMPL         END                              @Abort
  1.019  CALL         Sub UUT Connection GPIB

  1.020  IEEE2        *RST

  1.021  HEAD         UUT IDENTIFICATION
  1.022  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.023  MATH         @UUT_Manufacturer = "Tektronix"
  1.024  MATH         @UUT_Model        = "TDS 3012B"
  1.025  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.026  JMPL         END                           @Abort

  1.027  CALL         Sub Tek TDS3000 Check Firmware Version
  1.028  JMPL         END                           @Abort

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    2.   SELF TEST                          SELF TEST
#    3.   DCV GAIN (CH1)                     DCV GAIN (CH1)
#    4.   DCV GAIN (CH2)                     BANDWIDTH (CH1)
#    5.   BANDWIDTH (CH1)                    TRIGGER SENS FULL BW (CH1)
#    6.   BANDWIDTH (CH2)                    TRIGGER SENS 50 MHz (CH1)
#    7.   TRIGGER SENS FULL BW (CH1)         SAMPLE RATE AND DELAY TIME ACC
#    8.   TRIGGER SENS FULL BW (CH2)         DCV GAIN (CH2)
#    9.   TRIGGER SENS 50 MHz (CH1)          BANDWIDTH (CH2)
#   10.   TRIGGER SENS 50 MHz (CH2)          TRIGGER SENS FULL BW (CH2)
#   11.   SAMPLE RATE AND DELAY TIME ACC     TRIGGER SENS 50 MHz (CH2)

  1.029  CALL         Sub Tek TDS3000 Set Bandwidth & Number of Channels
  1.030  CALL         Sub Tek TDS3000 Signal Path Compensation Cal IEEE
  1.031  JMPL         END                           @Abort

  1.032  CALL         Sub Tek TDS3000 Self-Test IEEE
  1.033  JMPL         END                           @Abort

  1.034  DISP         Connect the 5520A Scope Out to UUT CH1.
  1.035  MATH         @Chan = 1
  1.036  CALL         Sub Tek TDS3000B (1 yr) DCV IEEE /5520+S6
  1.037  JMPL         BANDWIDTH_CH1

  1.038  LABEL        DCV_CH2
  1.039  DISP         Connect the 5520A Scope Out to UUT CH2.
  1.040  MATH         @Chan = 2
  1.041  CALL         Sub Tek TDS3000B (1 yr) DCV IEEE /5520+S6
  1.042  JMPL         BANDWIDTH_CH2

  1.043  LABEL        BANDWIDTH_CH1
  1.044  MATH         @Chan = 1
  1.045  CALL         Sub Tek TDS3000B (1 yr) Bandwidth IEEE /5520+S6
  1.046  JMPL         TRIG_FULL_BW_CH1

  1.047  LABEL        BANDWIDTH_CH2
  1.048  MATH         @Chan = 2
  1.049  CALL         Sub Tek TDS3000B (1 yr) Bandwidth IEEE /5520+S6
  1.050  JMPL         TRIG_FULL_BW_CH2

  1.051  LABEL        TRIG_FULL_BW_CH1
  1.052  MATH         @Chan = 1
  1.053  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig IEEE /5520+S6
  1.054  JMPL         TRIG_50MH_CH1

  1.055  LABEL        TRIG_FULL_BW_CH2
  1.056  MATH         @Chan = 2
  1.057  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig IEEE /5520+S6
  1.058  JMPL         TRIG_50MH_CH2

  1.059  LABEL        TRIG_50MH_CH1
  1.060  MATH         @Chan = 1
  1.061  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig IEEE /5520+S6
  1.062  JMPL         SAMPLE_RATE

  1.063  LABEL        TRIG_50MH_CH2
  1.064  MATH         @Chan = 2
  1.065  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig IEEE /5520+S6
  1.066  JMPL         END

  1.067  LABEL        SAMPLE_RATE
  1.068  MATH         @Chan = 1
  1.069  CALL         Sub Tek TDS3000B (1 yr) Sample Rate IEEE /5520+S6
  1.070  JMPL         DCV_CH2

  1.071  LABEL        END
  1.072  HEAD         -2

  1.073  IF           @Abort
  1.074  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.075  ELSE
  1.076  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.077  ENDIF

  1.078  END




